Bug 22967 - Internal Error during setup
Internal Error during setup
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-28 20:58 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-26 13:01:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This is the dump of the anaconda program (1.36 KB, text/plain)
2000-12-28 21:00 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2000-12-28 20:58:56 EST
Installing RH 7.0 on to a Pentium 90, dual-boot with win98.  The bug 
output is attached below:

-----Begin-----
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 16, in 
readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 353, in 
readCompsFile
  File "/usr/lib/python1.5/site-packages/urllib.py", line 59, in urlopen
  File "/usr/lib/python1.5/site-packages/urllib.py", line 159, in open
  File "/usr/lib/python1.5/site-packages/urllib.py", line 330, in open_file
  File "/usr/lib/python1.5/site-packages/urllib.py", line 335, in 
open_local_file
AttributeError: guess_type

Local variables in innermost frame:
StringIO: <module 'StringIO' from '/usr/lib/python1.5/StringIO.py'>
self: <urllib.FancyURLopener instance at 82ba978>
url: /mnt/source/RedHat/base/comps
mimetypes: <module 'mimetypes' from '/usr/lib/python1.5/mimetypes.py'>
mimetools: <module 'mimetools' from '/usr/lib/python1.5/mimetools.py'>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Need Real Name 2000-12-28 21:00:48 EST
Created attachment 6782 [details]
This is the dump of the anaconda program
Comment 2 Need Real Name 2000-12-29 00:49:57 EST
Tried the `anaconda updates' issued on 10/9/2000 (Advisory ID RHBA-2000:084-
04).  Still exactly the same problem.

I also noticed that when the installer trying to shutdown the computer after 
the bug, it failed to unmount '/mnt/source/...'.  I think it might be related 
as the anaconda is failling on the file '/mnt/source/RedHat/base/comps'.
Comment 3 Michael Fulbright 2001-01-03 13:19:50 EST
Is this a CD you burned yourself?
Comment 4 Michael Fulbright 2001-01-26 13:01:10 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.